posix_getpgrp
posix_getppid
POSIX Functions
PHP Manual

# posix_getpid

(PHP 4, PHP 5)

posix_getpid — Return the current process identifier

### Description

int posix_getpid ( void )

Return the process identifier of the current process.

### Return Values

Returns the identifier, as an integer.

### Examples

Example #1 Example use of posix_getpid()

`<?php
echo posix_getpid(); //8805
?>`

### See Also

- posix_kill() to kill a process.
- POSIX man page GETPID(2)

posix_getpgrp
posix_getppid
POSIX Functions
PHP Manual